%define name	alsa-patch-bay
%define version 0.5.1
%define release 1mdk

Name: %{name}
Summary: Graphical patch bay for the ALSA sequencer API
Version: %{version}
Release: %{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://pkl.net/~node/alsa-patch-bay.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libfltk-devel libalsa-devel libladcca-devel
BuildRequires:	libext2fs2-devel doxygen libjack-devel

%description
ALSA Patch Bay is a graphical patch bay for the ALSA sequencer API. 

%prep
%setup -q

%build
%configure
# fix symlink
perl -p -i -e 's/\$\(bindir\)\/jack-patch-bay/\$\(RPM_BUILD_ROOT\)\$\(bindir\)\/jack-patch-bay/g' src/Makefile
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="ALSA-patch-bay" longtitle="ALSA sequencer connections" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc NEWS COPYING README ChangeLog AUTHORS TODO THANKS
%{_bindir}/%name
%{_libdir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.5.1-1mdk
- 0.5.1

* Sat Feb 8 2003 Austin Acton <aacton@yorku.ca> 0.5.0-1mdk
- 0.5.0
- add jack support
- requires libext2fs2-devel

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.4.1-1mdk
- initial package
